com.hazelcast.jet.function

## Interface TriPredicate<T,U,V>

- All Superinterfaces:
    Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface TriPredicate<T,U,V>
      extends Serializable

  Represents a predicate which accepts three arguments. This is the three-arity specialization of `Predicate`.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default TriPredicate<T,U,V>` | `and(TriPredicate<? super T,? super U,? super V> other)` Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) && other.test(t, u, v)`.
    `default TriPredicate<T,U,V>` | `negate()` Returns a composite predicate which evaluates the equivalent of `!this.test(t, u, v)`.
    `default TriPredicate<T,U,V>` | `or(TriPredicate<? super T,? super U,? super V> other)` Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) || other.test(t, u, v)`.
    `default boolean` | `test(T t, U u, V v)` Evaluates this predicate with the given arguments.
    `boolean` | `testEx(T t, U u, V v)` Exception-declaring version of `test(T, U, V)`.

- - ### Method Detail

    - #### testEx

          boolean testEx(T t,
                         U u,
                         V v)
                  throws Exception

      Exception-declaring version of `test(T, U, V)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(T t,
                               U u,
                               V v)

      Evaluates this predicate with the given arguments.
      Parameters:
        `t` - the first argument
        `u` - the second argument
        `v` - the third argument
      Returns:
        `true` if predicate evaluated to true, `false` otherwise

    - #### and

          default TriPredicate<T,U,V> and(@Nonnull
                                          TriPredicate<? super T,? super U,? super V> other)

      Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) && other.test(t, u, v)`.

    - #### negate

          default TriPredicate<T,U,V> negate()

      Returns a composite predicate which evaluates the equivalent of `!this.test(t, u, v)`.

    - #### or

          default TriPredicate<T,U,V> or(@Nonnull
                                         TriPredicate<? super T,? super U,? super V> other)

      Returns a composite predicate which evaluates the equivalent of `this.test(t, u, v) || other.test(t, u, v)`.

Copyright © 2019. All rights reserved.